import { baseApp, main } from '@/api'
import request from '@/utils/require'


// 获取库点信息
export function getInfoById(id) {
    return request({
        url: `${baseApp}/sinkpointRecords/${id}`,
        method: 'get',
    })
}
// 获取企业信息
export function getCompanyInfo(code) {
    return request({
        url: `${baseApp}/company/${code}`,
        method: 'get',
    })
}


export function cangListFn(param) {
    return request({
        url: `${baseApp}/warehouseList`,
        method: 'post',
        data: param
    })
}

export function guanListFn(param) {
    return request({
        url: `${baseApp}/oiltankList`,
        method: 'post',
        data: param
    })
}

//修改

export function updateWarehousefacilityFiling(param) {
    return request({
        url: `${main}/warehousefacilityfiling/updateWarehousefacilityFiling`,
        method: 'post',
        data: param
    })
}

//新增
export function insertWarehousefacilityFiling(param) {
    return request({
        url: `${main}/warehousefacilityfiling/insertWarehousefacilityFiling`,
        method: 'post',
        data: param
    })
}

//分页
export function selectWarehousefacilityFilingPageList(param, data) {
    return request({
        url: `${main}/warehousefacilityfiling/selectWarehousefacilityFilingPageList?pageNum=${param.page}&pageSize=${param.size}`,
        method: 'post',
        data: data
    })
}

//详情
export function selectWarehousefacilityFilingDetail(data) {
    return request({
        url: `${main}/warehousefacilityfiling/selectWarehousefacilityFilingDetail`,
        method: 'post',
        data: data
    })
}

//删除
export function deleteWarehousefacilityFiling(data) {
    return request({
        url: `${main}/warehousefacilityfiling/deleteWarehousefacilityFiling`,
        method: 'post',
        data: data
    })
}

